# Upload a knowledge file

Uploads a knowledge file.

```http
POST https://api.pozy.ai/v1/accounts/{accountId}/business-agent/files
```

- Area: WhatsApp / Business Agent
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `accountId` (string, required)

## Request body

Content type: `application/json`

- `url`, string (URL), required
- `fileName`, string

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/business-agent/files" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "url": "https://pozy.ai/media/example-1.jpg"
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/business-agent/files", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    url: "https://pozy.ai/media/example-1.jpg"
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/business-agent/files",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "url": "https://pozy.ai/media/example-1.jpg",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 201

- `id`, string, required
- `file_name`, string, required

```json
{
  "id": "6bfebd43ddc270f6d2c56fc5",
  "file_name": "Acme"
}
```
